# Struct kawaii::Measure [−] [src]

    pub struct Measure {
        pub min: u64,
        pub max: u64,
        pub name: String,
        // some fields omitted
    }

## Fields

`min: u64` `max: u64` `name: String`

## Methods

### `impl Measure`
[src]

#### `fn new(name: String) -> Self`

Constructs a new `Measure`.

# Parameter

- `name` Name of measured component.

#### `fn start(&mut self)`

Start measurement

#### `fn pause(&mut self)`

Pause measurement

#### `fn stop(&mut self)`

Stop measurement and calculate time difference

## Trait Implementations

### `impl Debug for Measure`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

### `impl Drop for Measure`
[src]

#### `fn drop(&mut self)`

Print measure results and write times to file

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)